<?php

// 上传志愿者活动凭证
require_once ("../user_include.inc");

ErrorLogger::doOutput("Compass...ajax_set_volunteer_event_result.php....Start.", 0);

//获取参数
$unionId = ParamUtil::getRequestString("unionId");
$eventId = ParamUtil::getRequestNumber("eventId", 0);
$comment = ParamUtil::getRequestString("comment");//活动感悟

$result = array();

//参数检查
if(empty($unionId || empty($eventId) || empty($comment))) {
	$result["message"] = "参数错误！";
	responseNG($result);
}

//判断用户是否存在
$param = array();
$param['unionid'] = $unionId;
$param['delete_flg'] = false;
$userList = UserMst::getList($param,'id','desc', 0, 1);
if(empty($userList)) {
	$result["message"] = "用户不存在！";
	responseNG($result);
}

//查询志愿者活动
$volunteerDat = VolunteerEventDat::getById($eventId);
if(empty($volunteerDat)) {
	$result["message"] = "参数错误！";
	responseNG($result);
}

$userMst = $userList[0];

//是否已经报名参加
$param = array();
$param['volunteer_event_id'] = $eventId;
$param['user_id'] = $userMst->id;
$param['delete_flg'] = false;
$tmpVolunteerEventMemberList = VolunteerEventMemberDat::getList($param, "id", "desc", 0, 1);
if(empty($tmpVolunteerEventMemberList)) {
	$result["message"] = "数据错误！";
	responseNG($result);
}

$volunteerEventMemberDat = $tmpVolunteerEventMemberList[0];

//处理上传图片
$aliHandler = new AliUploadHandler();
if(!empty($_FILES['photo']['tmp_name'])){
  $upload_file = FileUploadUtil::getScalarFile(@$_FILES['photo']);
  $tmp_file_name = date("Ymd") . "_" . trim(basename($upload_file->name));//保存的名字自定义，这里如果图片的名字原来的是aa.jp，保存成20200220_aa.jpg
  
  $url = $aliHandler->uploadImg($tmp_file_name, $upload_file->tmp_name);
  //这里的url就是http://compass-dev.oss-cn-beijing.aliyuncs.com/20200220_aa.jpg
  $volunteerEventMemberDat->images = $url;
}
$volunteerEventMemberDat->comment = $comment;
$volunteerEventMemberDat->save();

ErrorLogger::doOutput("Compass...ajax_set_volunteer_event_result.php....End.", 0);

//返回结果
$result["message"] = "上传成功！";
responseOK($result);

function responseNG($result) {
	$result = array("status"=>"NG", "result"=>$result);
	print json_encode($result);
	exit;
}
function responseOK($result) {
	$result = array("status"=>"OK", "result"=>$result);
	print json_encode($result);
	exit;
}
?>